<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class RubricTitles extends Migration
{

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('rubric_title', function (Blueprint $table) {
			$table->increments('id');
			$table->integer('title_id')->unsigned();
			$table->foreign('title_id')
				->references('id')
				->on('titles')
				->onDelete('cascade')
				->onUpdate('cascade');
			$table->integer('position');
			$table->integer('rubric_id')->unsigned();
			$table->foreign('rubric_id')
				->references('id')
				->on('rubrics')
				->onDelete('cascade')
				->onUpdate('cascade');
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('rubric_title');
	}
}
